Subject: Re: [bug#39990] [PATCH] gnu: Update python-statsmodels to 0.11.1.

From: Roel Janssen <[email-masked]>
Date: Mon, 09 Mar 2020 12:20:47 +0100

On Mon, 2020-03-09 at 12:45 +0200, Efraim Flashner wrote:
> On Sun, Mar 08, 2020 at 11:19:06PM +0100, Roel Janssen wrote:
> > Dear Guix,
> > 
> > I'd like to update python-statsmodels because I'm packaging
> > something
> > that requires a newer version.
> > 
> > The patch is trivial, but I'm unsure whether it would trigger too
> > many
> > rebuilds.  How do I check this?
> 
> 'guix refresh --list-dependent python-statsmodels' will give you a
> list of leaf
> packages affected by this package. As a python package, you should
> also
> check the python2- variant, so 'guix refresh -l python-statsmodels
> python2-statsmodels'
> 

Thanks!  Is my conclusion correct that, by updating python-statsmodels
(and thus python2-statsmodels), only "ribodiff" will be rebuilt?  And
therefore, the update can be pushed to master directly?

Thanks!

Kind regards,
Roel Janssen